Bug 1172729 (CVE-2014-8112) - CVE-2014-8112 389-ds-base: password hashing bypassed when "nsslapd-unhashed-pw-switch" is set to off
Summary: CVE-2014-8112 389-ds-base: password hashing bypassed when "nsslapd-unhashed-p...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-8112
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20150305,reported=2...
Depends On: 1172730 1172731 1199675
Blocks: 1168154
TreeView+ depends on / blocked
 
Reported: 2014-12-10 15:54 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that when the nsslapd-unhashed-pw-switch 389 Directory Server configuration option was set to "off", it did not prevent the writing of unhashed passwords into the Changelog. This could potentially allow an authenticated user able to access the Changelog to read sensitive information.
Clone Of:
Environment:
Last Closed: 2015-03-05 20:11:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Vasyl Kaigorodov 2014-12-10 15:54:44 UTC
Ludwig Krispenz from Red Hat reported that there is a configuration switch to prevent writing unhashed passwords into the changelogs. Unfortunately if the switch is turned on the attribute unhashed#user#password is not written to the changelog, but the hashing of the attribute value itself is also bypassed.

Versions affected are 389 versions 1.3.1 and later, this means RHEL7.0 and later and Fedora20 and later.

The severity seems to be limited, since:
- the option is not widely known and advertised and only available in a recent version
- the access to the userpassword attribute is usually protected by acis not to be readable

Statement:

This issue did not affect the versions of 389-ds-base as shipped with Red Hat Enterprise Linux 6.

Comment 2 Martin Prpič 2015-02-16 08:25:46 UTC
Acknowledgement:

This issue was discovered by Ludwig Krispenz of the Red Hat Identity Management Engineering Team.

Comment 3 errata-xmlrpc 2015-03-05 09:40:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0416 https://rhn.redhat.com/errata/RHSA-2015-0416.html

Comment 5 Kurt Seifried 2015-03-07 00:11:22 UTC
Created 389-ds-base tracking bugs for this issue:

Affects: fedora-all [bug 1199675]


Note You need to log in before you can comment on or make changes to this bug.